> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook Endpoint

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /webhook_endpoints
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /webhook_endpoints:
    post:
      summary: Create Webhook Endpoint
      operationId: webhook-endpoints-create
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - enabled_events
              properties:
                url:
                  type: string
                  description: URL that will receive the notifications about events.
                  default: https://my.webhook.endpoint
                enabled_events:
                  type: array
                  description: Events that will trigger a webhook to be sent.
                  default:
                    - link.credentials_changed
                  items:
                    type: string
                description:
                  type: string
                  description: >-
                    Optional description that might help identify the
                    responsibilities of the endpoint.
                  default: Descripción del Webhook Endpoint
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "id": "we_M6yrvOepCe3Rqp8B",
                      "description": "Eventos que recibirá el webhook.",
                      "url": "https://my.webhook.endpoint",
                      "status": "enabled",
                      "mode": "test",
                      "secret": "whsec_live_kY8cxHAHSD9WvzUf7Z7Ky-yx",
                      "enabled_events": [
                        "link.credentials_changed"
                      ],
                      "created_at": "2021-05-17T17:04:10.284Z"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: we_M6yrvOepCe3Rqp8B
                  description:
                    type: string
                    example: Eventos que recibirá el webhook.
                  url:
                    type: string
                    example: https://my.webhook.endpoint
                  status:
                    type: string
                    example: enabled
                  mode:
                    type: string
                    example: test
                  secret:
                    type: string
                    example: whsec_live_kY8cxHAHSD9WvzUf7Z7Ky-yx
                  enabled_events:
                    type: array
                    items:
                      type: string
                      example: link.credentials_changed
                  created_at:
                    type: string
                    example: '2021-05-17T17:04:10.284Z'
      deprecated: false

````